<?php

namespace common\modules\product\models;

/**
 * This is the ActiveQuery class for [[Product]].
 *
 * @see Product
 */
class ProductQuery extends \yii\db\ActiveQuery
{
    /*public function active()
    {
        return $this->andWhere('[[status]]=1');
    }*/

    /**
     * @inheritdoc
     * @return Product[]|array
     */
    public function all($db = null)
    {
        return parent::all($db);
    }

    /**
     * @inheritdoc
     * @return Product|array|null
     */
    public function one($db = null)
    {
        return parent::one($db);
    }

    /**
     * Select category by alias
     * @param $slug
     * @return $this
     */
    public function byAlias($alias)
    {
        $this->andFilterWhere(['alias' => $alias]);
        return $this;
    }
}
